Group: Publishing
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pdflatex tex(dehypht.tex) texlive-dist
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
# Debuginfo is not useful for OCaml programs since gdb doesn't know about OCaml
%global debug_package %{nil}

Name:           bibtex2html
Version:        1.99
Release:        alt2_11
Summary:        Collection of tools for translating from BibTeX to HTML

License:        GPLv2
URL:            http://www.lri.fr/~filliatr/bibtex2html/index.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz

BuildRequires:  ocaml ocaml-runtime
BuildRequires:  perl-devel
BuildRequires:  tex(latex)
BuildRequires:  tex(fullpage.sty)
BuildRequires:  hevea
Source44: import.info


%description
bibtex2html is a collection of tools for translating from BibTeX to HTML. 
They allow to produce, from a set of bibliography files in BibTeX format, 
a bibliography in HTML format.

%prep
%setup -q
sed -i 's/-cclib -lstr//' Makefile.in
for file in CHANGES README ; do
   mv $file timestamp && \
   iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp && \
   touch -r timestamp $file && \
   rm timestamp
done

%build
%configure 
%make_build

%install
/usr/bin/perl -pi -e 's|^BINDIR=.*|BINDIR=%{buildroot}%{_bindir}|g;' Makefile
/usr/bin/perl -pi -e 's|^MANDIR =.*|MANDIR=%{buildroot}%{_mandir}|g;' Makefile
make install 

%files
%doc CHANGES README GPL COPYING manual.pdf manual.html 
%{_mandir}/man1/*.1*
%{_bindir}/*


%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.99-alt2_11
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.99-alt2_10
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.99-alt2_9
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.99-alt2_8
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.99-alt2_7
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_7
- update to new release by fcimport

* Tue Apr 07 2020 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_5
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_4
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_3
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_2
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.99-alt1_1
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_12
- update to new release by fcimport

* Thu Nov 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_7
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_2
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.97-alt1_1
- converted for Sisyphus

